org.springframework.batch.core.scope

## Class BatchScopeSupport.Scopifier

- java.lang.Object
- - org.springframework.beans.factory.config.BeanDefinitionVisitor
  - - org.springframework.batch.core.scope.BatchScopeSupport.Scopifier

- Enclosing class:
    BatchScopeSupport

      protected static class BatchScopeSupport.Scopifier
      extends org.springframework.beans.factory.config.BeanDefinitionVisitor

  Helper class to scan a bean definition hierarchy and force the use of auto-proxy for step scoped beans.
  Author:
    Dave Syer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Scopifier(org.springframework.beans.factory.support.BeanDefinitionRegistry registry, java.lang.String scope, boolean proxyTargetClass, boolean scoped)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `resolveValue(java.lang.Object value)`

    - ### Methods inherited from class org.springframework.beans.factory.config.BeanDefinitionVisitor

      `resolveStringValue, visitArray, visitBeanClassName, visitBeanDefinition, visitFactoryBeanName, visitFactoryMethodName, visitGenericArgumentValues, visitIndexedArgumentValues, visitList, visitMap, visitParentName, visitPropertyValues, visitScope, visitSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Scopifier

          public Scopifier(org.springframework.beans.factory.support.BeanDefinitionRegistry registry,
                           java.lang.String scope,
                           boolean proxyTargetClass,
                           boolean scoped)

  - ### Method Detail

    - #### resolveValue

          protected java.lang.Object resolveValue(java.lang.Object value)

      Overrides:
        `resolveValue` in class `org.springframework.beans.factory.config.BeanDefinitionVisitor`